Sending an identification document for full processing in the cloud according to the requested settings in the query parameters.
POST/v1/Document/ProcessDocumentFromFiles
Parameters
Name
In
Type
Required
Description
traceId
query
string
optional
A string provided by a programmer and echoed back unchanged in the response, designed to facilitate easier tracking of requests and responses.
dateFormat
query
string
optional
The format in which dates will be returned in the retrieved data.
returnFrontImage
query
boolean
optional
Indicates whether it is necessary to return the front image of the document cropped and aligned in the response.
returnBackImage
query
boolean
optional
Indicates whether it is necessary to return the back image of the document cropped and aligned in the response.
returnFaceImage
query
boolean
optional
Indicates whether it is necessary to return the main portrait image appearing on the Id document, if available
returnSignatureImage
query
boolean
optional
Indicates whether it is necessary to return the signature image appearing on the submitted Id document, if one exists.
returnGhostFaceImage
query
boolean
optional
Indicates whether it is necessary to return the ghost face image appearing on the submitted Id document, if one exists.
returnFaceImageLocation
query
boolean
optional
Indicates whether it is necessary to return the pixel location of the main portrait image on the Id document, if one exists.
returnFieldsAoi
query
boolean
optional
Indicates whether to return the pixel location of each field in the response as it appears on the submitted Id document.
returnFieldValidations
query
boolean
optional
Indicates whether to perform validation on the fields of the submitted identification document.
returnFieldLabels
query
boolean
optional
Field labels are user-friendly descriptions of the field type, which can be displayed on a webpage or shown to the customer.
This input parameter indicates whether to include field labels for each field in the response.
returnCalculatedFields
query
boolean
optional
Calculated fields are fields that do not appear as they are on the document but are inferred from the information present on it.
For example, the age field is calculated from the date of birth.
This input parameter is used to decide whether to include calculated fields in the response.
returnFrontImageLocation
query
boolean
optional
This field is used to decide whether to return the pixel coordinates in the image where the Id document is located.
returnGhostFaceImageLocation
query
boolean
optional
Indicates whether it is necessary to return the pixel location of the ghost portrait image on the Id document, if one exists.
returnSignatureLocation
query
boolean
optional
Indicates whether it is necessary to return the pixel location of the signature on the Id document, if one exists.
returnDocumentForensicAuthentications
query
boolean
optional
This field is used to decide whether to perform a full forensic authentication of the Id document.
shouldFailExpiredDocuments
query
boolean
optional
When authentication is performed for the identifying document, this field is used to determine whether the authentication should be automatically failed for expired documents (when this field is set to true), or to ignore the fact that the document is expired when calculating the authentication score (when this field is set to false).
In any case, a warning will be issued indicating that the document has expired.
The default value is true.
checkForSelfieLiveness
query
boolean
optional
In addition to submitting a document image and a selfie image,
this field is used to decide whether a liveness check should be performed on the submitted selfie,
in addition to comparing it to the portrait image on the ID document.
fetchWebFields
query
boolean
optional
Some documents allow verification and field retrieval against official government sources.
This input parameter is used to decide whether to perform such verification, if it is available for the submitted Id document.
performAddressValidation
query
boolean
optional
Allows deciding whether to validate the address appearing on the submitted Id document, if one exists.
performPostalCodeValidation
query
boolean
optional
Allows deciding whether to validate the postal code appearing on the submitted Id document, if one exists.
performFullNameBreakdown
query
boolean
optional
This field is used to break down the full name of the person on the document into its individual components (e.g., prefix, suffix, first name, middle name, last name, etc.) for easier processing.
performIdentityVerification
query
boolean
optional
This field is used to decide whether to verify the identity of the person on the Id document against databases.
This is applicable only for documents from the United States.
socialSecurityNumberVerification
query
string
optional
If identity verification against databases is selected, this field is used to provide the person’s Social Security Number (SSN) to be included in the identity verification process.
phoneNumberVerification
query
string
optional
If identity verification against databases is selected, this field is used to provide the Person’s Phone Number to be included in the identity verification process.
emailAddressVerification
query
string
optional
If identity verification against databases is selected, this field is used to provide the Person’s Email Address to be included in the identity verification process.
performAAMVADriverLicenseVerification
query
boolean
optional
This field is used to decide whether to send the extracted driver's license or ID details for verification against AAMVA databases.
This is applicable only for supported documents from the United States.
performAgeVerification
query
boolean
optional
This field is used to verify age using person's date of birth compared against external databases.
performKnowledgeBasedAuthentication
query
boolean
optional
Indicates whether a Knowledge-Based Authentication (KBA) questionnaire should be performed.
checkForDocumentLiveness
query
boolean
optional
This field is used to decide whether a liveness check should be performed on the submitted Id document.
portraitReplacementThresholdScore
query
integer / int32
optional
When a liveness check is performed for a document.
This field is intended to determine the threshold score, below which the Portrait Replacement check will be defined as “Fail” and above which as “Pass”.
screenCaptureThresholdScore
query
integer / int32
optional
When a liveness check is performed for a document.
This field is intended to determine the threshold score, below which the Screen Capture check will be defined as “Fail” and above which as “Pass”.
paperPhotocopyThresholdScore
query
integer / int32
optional
When a liveness check is performed for a document.
This field is intended to determine the threshold score, below which the Paper Photocopy check will be defined as “Fail” and above which as “Pass”.
ageLimit
query
integer / int32
optional
This field is used to verify whether the age of the person on the document is below the specified age entered in this field.
The validation result will be included in the response as a field named "IsBelowAgeLimit", indicating whether the condition is met.
shouldHandleEmbeddedChip
query
boolean
optional
This field is used to determine whether to consider the embedded chip within the document (if one exists) during its analysis process, including both data extraction and authentication stages.
This process will be carried out in two steps and will require an additional API call to the cloud, as described in the documentation.
Request body
optional (12)
Name
Type
Required
Description
imageFront
string / binary
optional
The image of the front side of the document.
imageBack
string / binary
optional
The image of the back side of the document.
facePlusCardImage
string / binary
optional
A single image in which a person is photographed holding the document next to their face without obscuring it.
In this case, a facial comparison will be performed between the person and the profile photo on the document, if one exists.
selfieImage
string / binary
optional
A selfie image of the person to whom the document belongs.
Uploading this image will trigger facial verification between the selfie and the face image on the document, if one exists.
frontInfraredImage
string / binary
optional
The front side of the document, photographed under infrared lighting.
backInfraredImage
string / binary
optional
The back side of the document, photographed under infrared lighting.
frontUltravioletImage
string / binary
optional
The front side of the document, photographed under ultraviolet lighting.
backUltravioletImage
string / binary
optional
The back side of the document, photographed under ultraviolet lighting.
lightPassThroughImage
string / binary
optional
Light transmission image through the document, intended for dedicated scanning devices only.
hologramsImage
string / binary
optional
An image that sharpens and enhances the existing holograms on the document, intended for dedicated scanning devices only.
pdf417BarcodeImage
string / binary
optional
A close-up image of the PDF417 barcode found on the identification document.
Intended for more advanced cloud-based decoding purposes.
fieldIdsToRedact
string
optional
Comma-separated list of field IDs to redact in the output image.